package com.wyattjmiller.plugins

import com.wyattjmiller.routes.AuthorRoute.Companion.authorRoutes
import com.wyattjmiller.routes.RecipeRoute.Companion.recipeRoutes
import com.wyattjmiller.routes.UserRoute.Companion.userRoutes
import io.ktor.server.routing.*
import io.ktor.server.application.*

fun Application.configureRouting() {
    routing {
        this@configureRouting.recipeRoutes()
        this@configureRouting.authorRoutes()
        this@configureRouting.userRoutes()
    }
}
