package com.wyattjmiller.entities

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable
import kotlinx.serialization.descriptors.PrimitiveKind

@Serializable
@SerialName("Author")
data class Author(
    val id: Int?,
    val authorName: String,
    val user: Int,
    var createdTimestamp: String,
)

@Serializable
@SerialName("AuthorDraft")
data class AuthorDraft(
    val authorName: String,
    val user: Int? = null,
)