package com.wyattjmiller.repositories

import com.wyattjmiller.entities.Author
import com.wyattjmiller.entities.AuthorDraft

interface AuthorRepository {
    fun getAllAuthors() : List<Author>
    fun getAuthor(id: Int) : Author?
    fun createAuthor(author: AuthorDraft)
    fun updateAuthor(id: Int, author: AuthorDraft) : Boolean
    fun deleteAuthor(id: Int) : Boolean
}